{% extends "base.html.twig" %}
{% block topbar %}
    {{ parent() }}
    {% include 'topbar/topbar2.html.twig' %}
{% endblock %}
{% block body %}
    <div class='container-fluid'>
        <div class="col-md-12">
            <h3>Import de sinistre</h3>
            <fieldset style="margin-top: 10px">
                <legend>Informations sur le sinistre</legend>
                <div class="col-md-12">
                    <form id='form_sinistre' class='form-horizontal col-md-12' method='POST' {% if not new %}action='{{ base_url }}/sinistre_c/nouveau_sinistre'{%endif%}>

                        <div class="col-md-12">
                            <div class="form-group">
                                <label class="col-md-2">Description sinistre QC</label>
                                <div class="col-md-10">
                                    <textarea rows="3" class="form-control" style="width: 100%" name="description_qc"></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="col-md-12">
                            {% if tranches and tranches|length > 0 %}
                                <div class="form-group">
                                    <label class="col-md-2">Tranche de l'affaire</label>
                                    <div class="col-md-10">
                                        <select class="form-control" id="date_declaration" name="tranche">
                                            {% for tranche in tranches %}
                                                <option value='{{tranche.tra_index}}'>{{tranche.tra_libelle }} - {{ tranche.missions }}</option>
                                            {% endfor %}

                                        </select>
                                    </div>
                                </div>
                            {% endif %}
                            <div class="form-group form-inline">
                                <label class="col-md-2">Adresse</label>

                                <div class="col-md-10">
                            {% if context.user.role != 8 and context.user.role != 10 %}{% set required=1 %}{% else %}{% set required = 0 %}{% endif %}
                            {% include 'global/forms/form_adresse.html.twig' with { 'required' : required, 'edit' : true } %}
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="date_declaration" class="col-md-2">Date de déclaration du sinistre</label>
                        <div class="col-md-3">
                            <input {#{% if context.user.role != 8 and context.user.role != 10 %}#}required type="date" class="form-control" id="date_declaration" name="date_declaration">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="date_reception" class="col-md-2">Réception prononcée</label>
                        <div class="col-md-5">
                            <input {% if context.user.role != 8 and context.user.role != 10 %}required{% endif %} type='radio' name='reception_prononcee' value='oui' id='receptionoui'> OUI &nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='reception_prononcee' value='non' id='receptionnon'> NON
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="date_reception" class="col-md-2">Date de réception de l'ouvrage</label>
                        <div class="col-md-3">
                            <input type="date" class="form-control" id="datereception" name="date_reception">
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="date_reception" class="col-md-2">Statut initial</label>
                        <div class="col-md-5">
                            <input required type='radio' name='statut' value='1' id='radiodo'> DO  &nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='statut' value='2' id='radioav1'> AV1  &nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='statut' value='3' id='radiojud'> Judiciaire  &nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='statut' value='4' id='radioautre'> Autre  &nbsp;&nbsp;&nbsp;&nbsp;<input type='radio' name='statut' value='5' id='radiorp'> Référé préventif
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="assureur" class="col-md-2">Responsabilité</label>
                        <div class="col-md-6">
                            <input type='checkbox' name='RC' value='RC'> RC  &nbsp;&nbsp;&nbsp;&nbsp;
                            <input type='checkbox' name='RCD' value='RCD'> RCD 
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2">Référence Asqua</label>
                        <div class="col-md-3">
                            <input class="form-control" name="ref_asqua" id="input_ref_asqua" required>
                        </div>
                        <div class="form-group">
                            <button class="pull-right btn btn-gaia" id='btn_import'>Importer</button>
                        </div>
                    </div>
            </form>
        </div>
    </fieldset>
</div>
</div>
<script>
    $(document).ready(function () {
        $('#receptionoui').click(function (e) {
            $('#datereception').prop('required', true);
            $('#datereception').prop('disabled', false);
            $('#radioav1').prop('disabled', false);
            $('#radiodo').prop('disabled', false);
            $('#radiojud').prop('disabled', false);
        });
        $('#receptionnon').click(function () {
            $('#datereception').prop('required', false);
            $('#datereception').prop('disabled', true);
            $('#radioav1').prop('disabled', true);
            $('#radiodo').prop('disabled', true);
            $('#radiojud').prop('disabled', true);
            $('#radioautre').prop('checked', true);
        });

        $('#form_sinistre').submit(function () {
            var div = document.createElement("DIV");
            $(div).addClass("pull-right").append("Synchronisation en cours, merci de patienter");
            var img = document.createElement("IMG");
            $(img).attr("src", AJAXPATH + "/assets/images/ajax-loading.gif").css("height", "40px");
            $(div).append(img);

            $(div).insertAfter($(this));
        });
    });
</script>
{% endblock %}
